wl_callback_listener Struct Reference
The wl_callback interface

`#include <wayland-client-protocol.h>`

## Data Fields

void(* | done )(void *data, struct wl_callback *wl_callback, uint32_t callback_data)

## Detailed Description

Definition at line 1089 of file wayland-client-protocol.h.

## Field Documentation

## done

void(* wl_callback_listener::done) (void *data, struct wl_callback *wl_callback, uint32_t callback_data)

done event

Notify the client when the related request is done.

Parameters

  callback_data | request-specific data for the callback

Definition at line 1096 of file wayland-client-protocol.h.

The documentation for this struct was generated from the following file:

- gen/wayland-client-protocol.h